Ant API: Class Replace

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Replace

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Replace

public class Replace
extends Task

Replaces all the occurrences of the given string token with the given string value of the indicated file.

Author:
  Stefano Mazzocchi stefano@apache.org

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Replace()`

Method Summary
`void` | `execute()` Do the execution.
`void` | `setFile(java.lang.String file)` Set the source file.
`void` | `setToken(java.lang.String token)` Set the string token to replace.
`void` | `setValue(java.lang.String value)` Set the string value to use as token replacement.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replace

    public Replace()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the execution.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### setFile

    public void setFile(java.lang.String file)

  Set the source file.

### setToken

    public void setToken(java.lang.String token)

  Set the string token to replace.

### setValue

    public void setValue(java.lang.String value)

  Set the string value to use as token replacement.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.